[pve-devel] migration qemu 2.4 pxe -> 2.4 efi failing

Alexandre DERUMIER aderumier at odiso.com
Thu Nov 5 14:25:52 CET 2015


Hi,

I didn't have time to do all test before going to holiday,

but migration from qemu 2.4 pxe -> 2.4 efi is failing


"kvm: Length mismatch: 0000:00:12.0/virtio-net-pci.rom: 0x10000 in != 0x40000: Invalid argument
kvm: error while loading state for instance 0x0 of device 'ram'
kvm: load of migration failed: Invalid argument
"

Users have reported the problem too

http://forum.proxmox.com/threads/24325-Can-t-live-migrate-between-Proxmox-4-0-16-and-4-0-19?p=122486#post122486



(migration from qemu 2.2 is working fine with qemuserver patch which keep pxe rom).


More information about the pve-devel mailing list